import { Permission } from "@cqsjjb/jjb-common-decorator/permission";
import { Connect } from "@cqsjjb/jjb-dva-runtime";
import DcsList from "~/components/DcsAlarmInfo/List";
import { NS_ALARMRECORD, NS_DCSALARMINFO } from "~/enumerate/namespace";

function List(props) {
  return <DcsList {...props} type="fgs" />;
}

export default Connect([NS_DCSALARMINFO, NS_ALARMRECORD], true)(Permission(List));
